Bug 1777418 (CVE-2019-18808) - CVE-2019-18808 kernel: memory leak in ccp_run_sha_cmd() function in drivers/crypto/ccp/ccp-ops.c
Summary: CVE-2019-18808 kernel: memory leak in ccp_run_sha_cmd() function in drivers/c...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-18808
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1825134 1825135 1777421 1825132 1825133 1825136
Blocks: 1777489
TreeView+ depends on / blocked
 
Reported: 2019-11-27 15:25 UTC by Dhananjay Arunesh
Modified: 2020-10-08 17:42 UTC (History)
47 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the AMD Cryptographic Co-processor driver in the Linux kernel. An attacker, able to send invalid SHA type commands, could cause the system to crash. The highest threat from this vulnerability is to system availability.
Clone Of:
Environment:
Last Closed: 2020-07-07 19:27:46 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:2854 None None None 2020-07-07 13:18:44 UTC
Red Hat Product Errata RHSA-2020:4060 None None None 2020-09-29 20:52:24 UTC
Red Hat Product Errata RHSA-2020:4062 None None None 2020-09-29 18:58:31 UTC

Description Dhananjay Arunesh 2019-11-27 15:25:00 UTC
A memory leak in the ccp_run_sha_cmd() function in drivers/crypto/ccp/ccp-ops.c in the Linux kernel allows attackers to cause a denial of service (memory consumption)

Reference:
https://github.com/torvalds/linux/commit/128c66429247add5128c03dc1e144ca56f05a4e2

Comment 1 Dhananjay Arunesh 2019-11-27 15:25:27 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1777421]

Comment 2 Petr Matousek 2020-04-17 07:06:02 UTC
Statement:

This issue is rated as having Moderate impact because it affects only specific hardware enabled systems.

Comment 3 Petr Matousek 2020-04-17 07:06:05 UTC
Mitigation:

In order to mitigate this issue it is possible to prevent the affected code from being loaded by blacklisting the kernel module ccp. For instructions relating to how to blacklist a kernel module refer to: https://access.redhat.com/solutions/41278

Comment 5 errata-xmlrpc 2020-07-07 13:18:40 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:2854 https://access.redhat.com/errata/RHSA-2020:2854

Comment 6 Product Security DevOps Team 2020-07-07 19:27:46 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-18808

Comment 7 errata-xmlrpc 2020-09-29 18:58:27 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:4062 https://access.redhat.com/errata/RHSA-2020:4062

Comment 8 errata-xmlrpc 2020-09-29 20:52:27 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:4060 https://access.redhat.com/errata/RHSA-2020:4060


Note You need to log in before you can comment on or make changes to this bug.